<?php $__env->startSection('panel'); ?>
<div class="row">
    <div class="col-lg-12">
        <div class="card b-radius--10 ">
            <div class="card-body p-0">
                <div class="table-responsive--md  table-responsive" id="device-table">
                    <table class="table table--light style--two">
                        <thead>
                            <tr>
                                <th><?php echo app('translator')->get('S.N.'); ?></th>
                                <th><?php echo app('translator')->get('Name'); ?></th>
                                <th><?php echo app('translator')->get('Model'); ?></th>
                                <th><?php echo app('translator')->get('Device ID'); ?></th>
                                <th><?php echo app('translator')->get('Android Verison'); ?></th>
                                <th><?php echo app('translator')->get('App Version'); ?></th>
                                <th><?php echo app('translator')->get('Status'); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $allDevice; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $device): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <tr id="device-<?php echo e($device->device_id); ?>">
                                <td><?php echo e(__($allDevice->firstItem()+$loop->index)); ?></td>
                                <td>
                                    <strong><?php echo e(__($device->device_name)); ?></strong>
                                </td>
                                <td><?php echo e(__(@$device->device_model)); ?></td>
                                <td><?php echo e(__(@$device->device_id)); ?></td>
                                <td><?php echo e(__(@$device->android_version)); ?></td>
                                <td><?php echo e(__(@$device->app_version)); ?></td>
                                <td class="status">
                                    <?php if($device->status): ?>
                                    <span class="badge badge--success"><?php echo app('translator')->get('Connected'); ?></span>
                                    <?php else: ?>
                                    <span class="badge badge--danger"><?php echo app('translator')->get('Disconnected'); ?></span>
                                    <?php endif; ?>
                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <tr>
                                <td class="text-muted text-center" colspan="100%"><?php echo e(__($emptyMessage)); ?></td>
                            </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <?php if($allDevice->hasPages()): ?>
            <div class="card-footer py-4">
                <?php echo e(paginateLinks($allDevice)); ?>

            </div>
            <?php endif; ?>
        </div>
    </div>
</div>




<div class="modal fade" id="modal">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" id="ModalTitle"><?php echo app('translator')->get('ADD YOUR DEVICE'); ?></h4>
                <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                    <i class="las la-times"></i>
                </button>
            </div>
            <div class="modal-body p-0">
                <ul class="list-group mb-3 list-group-flush list-group-numbered mt-0">
                    <li class="list-group-item"><?php echo app('translator')->get('Install our SMSLab android app on your mobile device.'); ?></li>
                    <li class="list-group-item"><?php echo app('translator')->get('Scan the below QR code to connect your device.'); ?></li>
                </ul>
                <div class="text-center pb-3">
                    <img src="<?php echo e($qrCodeImgSrc); ?>" class="b--2 border--primary" alt="">
                </div>
            </div>
        </div>
    </div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('custom-loader'); ?>
<div id="custom-loader" class="d-none">
    <span class="spinner-grow bg--primary"> </span>
    <span class="spinner-grow bg--primary ms-2"> </span>
</div>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('breadcrumb-plugins'); ?>
<button type="button" class="btn btn-outline--primary btn-sm addBtn">
    <i class="las la-plus"></i> <?php echo app('translator')->get('Add Device'); ?>
</button>
<?php $__env->stopPush(); ?>
<?php $__env->startPush('script'); ?>

<script src="<?php echo e(asset('assets/admin/js/vendor/pusher.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/js/broadcasting.js')); ?>?v8"></script>

<script>
    "use strict";

    (function ($) {
        $('.addBtn').on('click', function (e) {
            $("#modal").modal('show');
        });
    })(jQuery);


    const pusherConnection = (eventName) => {
        pusher.connection.bind('connected', () => {
            const SOCKET_ID = pusher.connection.socket_id;
            const CHANNEL_NAME = `private-${eventName}`;
            pusher.config.authEndpoint = makeAuthEndPointForPusher(SOCKET_ID, CHANNEL_NAME);
            let channel = pusher.subscribe(CHANNEL_NAME);
            channel.bind('pusher:subscription_succeeded', function () {
                channel.bind(eventName, function (data) {
                    if (eventName == 'device-logout') {
                        deviceLogOut(data.deviceId)
                    } else {
                        newDeviceHtml(data.device)
                    }
                })
            });
        });
    };

    //device logout event lisiten
    pusherConnection('device-logout');

    //device add eveent lisiten
    pusherConnection('device-add');

    pusherConnection('message-send');

    const newDeviceHtml = device => {
        document.getElementById("custom-loader").classList.remove('d-none');
        document.querySelector('button[data-bs-dismiss=modal]').click();
        setTimeout(() => {
            let table = document.querySelector("#device-table");
            let exitsDevice = table.querySelector(`#device-${device.device_id}`)
            if (!exitsDevice) {
                let html = `
                    <tr id="device-${device.device_id}">
                        <td data-label="S.N">1</td>
                        <td data-label="Name">
                            <strong> ${device.device_name}</strong>
                        </td>
                        <td data-label="Model"> ${device.device_model}</td>
                        <td data-label="Device ID"> ${device.device_id}</td>
                        <td data-label="Android Version">${device.android_version}</td>
                        <td data-label="App Version">${device.app_version}</td>
                        <td data-label="Status" class="status">
                            <span class="badge badge--success">Connected</span>
                        </td>
                    </tr>
            `
                html = html + table.querySelector('tbody').innerHTML;
                table.querySelector('tbody').innerHTML = html;
                let rows = table.querySelectorAll('tbody tr');
                Array.from(rows).forEach((element, i) => {
                    if (!element.id) {
                        element.remove();
                    }
                    element.querySelector('td').innerText = i + 1;
                });
            } else {
                let elements = document.getElementById(`device-${device.device_id}`);
                elements.querySelector('.status').innerHTML = `<span class="badge badge--success">Connected</span>`;
            }
            document.getElementById("custom-loader").classList.add('d-none');
        }, 1000);

    }

    const deviceLogOut = deviceId => {
        document.getElementById("custom-loader").classList.remove('d-none');
        let table = document.querySelector("#device-table");
        let elements = table.querySelector(`#device-${deviceId}`);
        elements.querySelector('.status').innerHTML = `<span class="badge badge--danger">Disconnected</span>`;
        setTimeout(() => {
            document.getElementById("custom-loader").classList.add('d-none');
        }, 1000);
    }

</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/brokznsr/public_html/smslab/core/resources/views/admin/device/index.blade.php ENDPATH**/ ?>