<?php $__env->startSection('panel'); ?>
<div class="row mb-none-30">
    <div class="col-lg-12 col-md-12 mb-30">
        <div class="card">
            <div class="card-body">
                <form action="" method="POST">
                    <?php echo csrf_field(); ?>
                    <div class="row">
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label> <?php echo app('translator')->get('Site Title'); ?></label>
                                <input class="form-control" type="text" name="site_name" required
                                    value="<?php echo e($general->site_name); ?>">
                            </div>
                        </div>
                        <div class="form-group col-sm-4">
                            <label> <?php echo app('translator')->get('Timezone'); ?></label>
                            <select class="select2-basic" name="timezone">
                                <?php $__currentLoopData = $timezones; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $timezone): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="'<?php echo e(@$timezone); ?>'"><?php echo e(__($timezone)); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <div class="col-sm-4 form-group">
                            <div class="form-group">
                                <label> <?php echo app('translator')->get('Batch Prefix'); ?></label>
                                <input class="form-control" type="text" name="batch_id_prefix" required
                                    value="<?php echo e($general->batch_id_prefix); ?>">
                            </div>
                        </div>
                        <div class="form-group col-sm-6">
                            <label><?php echo app('translator')->get('Email Notification'); ?></label>
                            <input type="checkbox" data-width="100%" data-size="large" data-onstyle="-success"
                                data-offstyle="-danger" data-bs-toggle="toggle" data-height="50"
                                data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" name="en" <?php if($general->en): ?>
                            checked <?php endif; ?>>
                        </div>
                        <div class="form-group col-sm-6">
                            <label><?php echo app('translator')->get('SMS Notification'); ?></label>
                            <input type="checkbox" data-width="100%" data-size="large" data-onstyle="-success"
                                data-offstyle="-danger" data-bs-toggle="toggle" data-height="50"
                                data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" name="sn" <?php if($general->sn): ?>
                            checked <?php endif; ?>>
                        </div>
                    </div>
                    <div class="border-line-area mb-3 mt-3">
                        <h4 class="border-line-title"><?php echo app('translator')->get('Pusher Setting'); ?></h4>
                    </div>
                    <div class="row">
                        <div class="form-group col-sm-6">
                            <label> <?php echo app('translator')->get('Pusher App ID'); ?></label>
                            <input type="text" class="form-control" placeholder="<?php echo app('translator')->get('Pusher App ID'); ?>" name="pusher_app_id" value="<?php echo e(config('app.PUSHER_APP_ID')); ?>" required>
                        </div>
                        <div class="form-group col-sm-6">
                            <label> <?php echo app('translator')->get('Pusher App Key'); ?></label>
                            <input type="text" class="form-control" placeholder="<?php echo app('translator')->get('Pusher App Key'); ?>"
                                name="pusher_app_key" value="<?php echo e(config('app.PUSHER_APP_KEY')); ?>" required>
                        </div>
                        <div class="form-group col-sm-6">
                            <label> <?php echo app('translator')->get('Pusher App Secret'); ?></label>
                            <input type="text" class="form-control" placeholder="<?php echo app('translator')->get('Pusher App Secret'); ?>"
                                name="pusher_app_secret" value="<?php echo e(config('app.PUSHER_APP_SECRET')); ?>" required>
                        </div>
                        <div class="form-group col-sm-6">
                            <label> <?php echo app('translator')->get('Pusher App Cluster'); ?></label>
                            <input type="text" class="form-control" placeholder="<?php echo app('translator')->get('Pusher App Cluster'); ?>"
                                name="pusher_app_cluster" value="<?php echo e(config('app.PUSHER_APP_CLUSTER')); ?>" required>
                        </div>

                    </div>
                    <div class="form-group">
                        <button type="submit" class="btn btn--primary w-100 h-45"><?php echo app('translator')->get('Submit'); ?></button>
                    </div>
                </div>
                </form>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script-lib'); ?>
<script src="<?php echo e(asset('assets/admin/js/spectrum.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style-lib'); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/css/spectrum.css')); ?>">
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>
<script>
    (function ($) {
        "use strict";

        $('.colorPicker').spectrum({
            color: $(this).data('color'),
            change: function (color) {
                $(this).parent().siblings('.colorCode').val(color.toHexString().replace(/^#?/, ''));
            }
        });

        $('.colorCode').on('input', function () {
            var clr = $(this).val();
            $(this).parents('.input-group').find('.colorPicker').spectrum({
                color: clr,
            });
        });

        $('.select2-basic').select2({
            dropdownParent: $('.card-body')
        });

        $('select[name=timezone]').val("'<?php echo e(config('app.timezone')); ?>'").select2();
        $('.select2-basic').select2({
            dropdownParent: $('.card-body')
        });
        
    })(jQuery);

</script>
<?php $__env->stopPush(); ?>


<?php $__env->startPush('style'); ?>
    <style>
        .border-line-area {
            position: relative;
            text-align: center;
            z-index: 1;
        }

        .border-line-area::before {
            position: absolute;
            content: '';
            top: 50%;
            left: 0;
            width: 100%;
            height: 1px;
            background-color: #e5e5e5;
            z-index: -1;
        }

        .border-line-title {
            display: inline-block;
            padding: 3px 10px;
            background-color: #fff;
        }
        .select2-container--default .select2-selection--single{
            height: 45px !important;
            border-color: #dddddd;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 45px
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow b{
            top: 60% !important;
        }
    </style>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/brokznsr/public_html/smslab/core/resources/views/admin/setting/general.blade.php ENDPATH**/ ?>