<?php $__env->startSection('panel'); ?>
<div class="row">
    <div class="col-lg-12">
        <div class="card">
            <div class="card-body">
                <div class="row gy-4">
                    <div class="col-xl-2 col-lg-3">
                        <ul class="api-sidebar-menu">
                            <li class="api-sidebar-menu__item"><a href="" class="api-sidebar-menu__link"><?php echo app('translator')->get('Get Started'); ?></a>
                                <ul class="api-sidebar-submenu">
                                    <li class="api-sidebar-submenu__item">
                                        <a href="#introduction" class="api-sidebar-submenu__link"><?php echo app('translator')->get('Introduction'); ?></a>
                                    </li>
                                    <li class="api-sidebar-submenu__item">
                                        <a href="#api-key" class="api-sidebar-submenu__link"><?php echo app('translator')->get('API key'); ?></a>
                                    </li>
                                    <li class="api-sidebar-submenu__item">
                                        <a href="#send-message-post" class="api-sidebar-submenu__link"><?php echo app('translator')->get('Send Message(POST)'); ?></a>
                                    </li>
                                    <li class="api-sidebar-submenu__item">
                                        <a href="#send-message-get" class="api-sidebar-submenu__link"><?php echo app('translator')->get('Send Message(GET)'); ?></a>
                                    </li>
                                    <li class="api-sidebar-submenu__item">
                                        <a href="#error-code" class="api-sidebar-submenu__link"><?php echo app('translator')->get('Error Code'); ?></a>
                                    </li>
                                </ul>
                            </li>
                        </ul>
                    </div>
                    <div class="col-xl-10 col-lg-9">
                        <div class="api-content-wrapper">
                            <div class="api-docs-section" id="introduction">
                                <div class="api-content">
                                    <h2 class="api-content__heading"><?php echo app('translator')->get('INTRODUCTION'); ?></h2>
                                    <p class="api-content__desc">
                                        <strong class="text-dark"><?php echo e(__($general->site_name)); ?></strong> <?php echo app('translator')->get('API integration is
                                        pretty simple and easy. using our API you can send SMS to any mobile number. You
                                        can send scheduled messages using our API. Our API is easy to implement in any other web application. Our API is
                                        well-formatted, accepts GET & POST request, and returns JSON responses. All URLs are case-sensitive'); ?>
                                    </p>
                                </div>
                            </div>
                            <div class="api-docs-section" id="api-key">
                                <div class="api-content">
                                    <h2 class="api-content__heading"><?php echo app('translator')->get('API KEY'); ?></h2>

                                    <p class="api-content__desc">
                                        <?php echo app('translator')->get('Get your API key from the below. The API key is used to authenticate the request and determines whether the request
                                        is valid or not. If you want to regenerate the API key from the below sync
                                        icon.'); ?>
                                    </p>
                                    <div class="form-group">
                                        <label for="" class="fw-bold"><?php echo app('translator')->get('API Key'); ?></label>
                                        <div class="input-group">
                                            <span
                                                class="input-group-text bg--primary border--primary c--p confirmationBtn"
                                                data-question="<?php echo app('translator')->get('Are you sure to regenerate your API key. Your old API key stop work here,if you do it!.'); ?>"
                                                data-bs-toggle="tooltip" title="<?php echo app('translator')->get('Regenerate API Key'); ?>"
                                                data-action="<?php echo e(route('admin.developer.regenerate.api.key')); ?>" />
                                            <i class="las la-sync-alt"></i>
                                            </span>
                                            <input type="text" class="form-control form-control-lg copyText" readonly
                                                value="<?php echo e(@$admin->activeApiKey->key); ?>">
                                            <span class="input-group-text bg--primary border--primary c--p coptBtn">
                                                <i class="las la-copy"></i>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="api-docs-section" id="send-message-post">
                                <div class="api-content">
                                    <h2 class="api-content__heading"><?php echo app('translator')->get('SEND SMS(POST)'); ?></h2>
                                    <p class="api-content__desc"><?php echo app('translator')->get('You will need to make request with these
                                        following API end points.'); ?></p>
                                    <p class="api-content__desc mb-0">
                                        <?php echo app('translator')->get('URL:'); ?> <span class="text--primary"><?php echo e(route('api.sms.send')); ?></span>
                                    </p>
                                    <p class="api-content__desc mb-0">
                                        <?php echo app('translator')->get('METHOD:'); ?> <span class="text--primary"><?php echo app('translator')->get('POST'); ?></span>
                                    </p>
                                    <p class="api-content__desc">
                                        <?php echo app('translator')->get('HEADER:'); ?> <span class="text--primary"><?php echo app('translator')->get('apikey'); ?></span>
                                    </p>
                                    <p class="api-content__desc">
                                        <?php echo app('translator')->get('Using this endpoint you can send SMS to multiple numbers, schedule SMS and change the default device  SIM slot. Request to the end point with the following
                                        parameters below. The parameters must be send with request body & request header must be needed to valid API key.'); ?>
                                     </p>

                                    <div class="row">
                                        <div class="col-lg-12">
                                            <table class="table api-table table--responsive--lg">
                                                <thead>
                                                    <tr>
                                                        <th><?php echo app('translator')->get('Param Name'); ?></th>
                                                        <th><?php echo app('translator')->get('Param Type'); ?></th>
                                                        <th><?php echo app('translator')->get('Validate'); ?></th>
                                                        <th><?php echo app('translator')->get('Description'); ?></th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <tr>
                                                        <td><?php echo app('translator')->get('message'); ?></td>
                                                        <td><?php echo app('translator')->get('string'); ?></td>
                                                        <td>
                                                            <span class="badge badge--danger"><?php echo app('translator')->get('Required'); ?></span>
                                                        </td>
                                                        <td><?php echo app('translator')->get('Maximum 160 Charter'); ?></td>
                                                    </tr>
                                                    <tr>
                                                        <td><?php echo app('translator')->get('mobile_number'); ?></td>
                                                        <td><?php echo app('translator')->get('string/number'); ?></td>
                                                        <td>
                                                            <span class="badge badge--danger"><?php echo app('translator')->get('Required'); ?></span>
                                                        </td>
                                                        <td>
                                                            <?php echo app('translator')->get('You can send sms to multiple numbers using this format'); ?> <br>
                                                            <span><?php echo app('translator')->get('+1 (695) 785-7295,+1 (695) 785-724544'); ?></span>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td><?php echo app('translator')->get('device'); ?></td>
                                                        <td><?php echo app('translator')->get('string'); ?></td>
                                                        <td>
                                                            <span class="badge badge--danger"><?php echo app('translator')->get('Required'); ?></span>
                                                        </td>
                                                        <td>
                                                            <?php echo app('translator')->get('Device ID, which device to send from SMS.'); ?>
                                                            <a target="_blank" href="<?php echo e(route('admin.device.index')); ?>"><?php echo app('translator')->get('Device List'); ?></a>
                                                        </td>
                                                    </tr>

                                                    <tr>
                                                        <td><?php echo app('translator')->get('device_sim'); ?></td>
                                                        <td><?php echo app('translator')->get('number'); ?></td>
                                                        <td>
                                                            <span class="badge badge--primary"><?php echo app('translator')->get('Optional'); ?></span>
                                                        </td>
                                                        <td>
                                                            <?php echo app('translator')->get('If your device has multiple SIM, then you can choose which SIM from sending SMS to. By Default send from SIM 1.'); ?>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td><?php echo app('translator')->get('date'); ?></td>
                                                        <td><?php echo app('translator')->get('string'); ?></td>
                                                        <td>
                                                            <span class="badge badge--primary"><?php echo app('translator')->get('Optional'); ?></span>
                                                        </td>
                                                        <td>
                                                            <?php echo app('translator')->get('If you also send schedule SMS. you can control when sending SMS. The date must be a future date, by default is the current DateTime.'); ?> <br>
                                                            <span><?php echo app('translator')->get('The Date format must be'); ?> <?php echo e(now()->format('Y-m-d h:i')); ?></span>
                                                        </td>
                                                    </tr>

                                                </tbody>
                                            </table>
                                        </div>
                                        <div class="col-lg-12">
                                            <div class="right-highlited mt-5">
                                                <div class="right-highlited__heading">
                                                    <h6 class="right-highlited__title"><?php echo app('translator')->get('PHP Code'); ?></h6>
                                                    <button class="right-highlited__button btn btn--primary w-auto clipboard-btn"  data-clipboard-target="#php">
                                                        <i class="las la-copy"></i>
                                                    </button>
                                                </div>
                                                <pre class="mt-0 rounded-0">
                                                    <code class="language-php" id="php">
&lt;?php
    $parameters = [
        'message' => 'your message',
        'mobile'  => '+1 (695) 785-7295,+1 (695) 785-724544',
        'device'  => 'Your device id',
    ];

    $header = [
        'apikey:<?php echo e(@$admin->activeApiKey->key); ?>'
    ];


    $url =<?php echo e(route('api.sms.send')); ?>;

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_HTTPHEADER, $header);
    curl_setopt($ch, CURLOPT_POSTFIELDS,  $parameters);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    $result = curl_exec($ch);
    curl_close($ch);
?&gt;
                                                        </code>
                                                    </pre>
                                               </div>
                                        </div>
                                        <div class="col-lg-6">
                                            <div class="card h-100">
                                                <div class="card-header custom--bg">
                                                    <h5 class="text-center text-white"><?php echo app('translator')->get('Error Response'); ?></h5>
                                                </div>
                                                <div class="card-body p-0">
                                                    <pre class="mt-0 rounded-0 h-100">
                                                        <code class="language-php h-100">
{
    "success": false,
    "code": 422,
    "message": "Unprocessable Entity",
    "errors": [
        "The message field is required.",
        "The mobile number field is required.",
    ]
}
                                                            </code>
                                                        </pre>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-lg-6">
                                            <div class="card h-100">
                                                <div class="card-header custom--bg">
                                                    <h5 class="text-center text-white"><?php echo app('translator')->get('Success Response'); ?></h5>
                                                </div>
                                                <div class="card-body p-0">
                                                    <pre class="mt-0 rounded-0 h-100">
                                                        <code class="language-php h-100">
{
    "success": true,
    "code": 200,
    "message": "1 message should be send.",
}
                                                            </code>
                                                        </pre>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="api-docs-section" id="send-message-get">
                                <div class="api-content">
                                    <h2 class="api-content__heading"><?php echo app('translator')->get('SEND SMS(GET)'); ?></h2>
                                    <p class="api-content__desc"><?php echo app('translator')->get('You will need to make request with these
                                        following API end points.'); ?></p>
                                    <p class="api-content__desc mb-0">
                                        <?php echo app('translator')->get('URL:'); ?> <span class="text--primary"><?php echo e(route('api.sms.send.get')); ?></span>
                                    </p>
                                    <p class="api-content__desc mb-0">
                                        <?php echo app('translator')->get('METHOD:'); ?> <span class="text--primary"><?php echo app('translator')->get('GET'); ?></span>
                                    </p>
                                    <p class="api-content__desc">
                                        <?php echo app('translator')->get('Using this endpoint you can send SMS to single numbers. Some restricted here, using this endpoint you can\'t send multiple, or schedule SMS and also you can\'t change the default device SIM slot. Request to the end point with the following
                                        parameters below. The parameters must be pass as query-string via endpoint or URLs.'); ?>
                                     </p>

                                     <div class="row gy-4">
                                        <div class="col-lg-12">
                                            <table class="table api-table table--responsive--lg">
                                                <thead>
                                                    <tr>
                                                        <th><?php echo app('translator')->get('Param Name'); ?></th>
                                                        <th><?php echo app('translator')->get('Param Type'); ?></th>
                                                        <th><?php echo app('translator')->get('Validate'); ?></th>
                                                        <th><?php echo app('translator')->get('Description'); ?></th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <tr>
                                                        <td><?php echo app('translator')->get('apikey'); ?></td>
                                                        <td><?php echo app('translator')->get('string'); ?></td>
                                                        <td>
                                                            <span class="badge badge--danger"><?php echo app('translator')->get('Required'); ?></span>
                                                        </td>
                                                        <td><?php echo app('translator')->get('Must valid API KEY'); ?></td>
                                                    </tr>
                                                    <tr>
                                                        <td><?php echo app('translator')->get('message'); ?></td>
                                                        <td><?php echo app('translator')->get('string'); ?></td>
                                                        <td>
                                                            <span class="badge badge--danger"><?php echo app('translator')->get('Required'); ?></span>
                                                        </td>
                                                        <td><?php echo app('translator')->get('Maximum 160 Charter'); ?>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td><?php echo app('translator')->get('mobile_number'); ?></td>
                                                        <td><?php echo app('translator')->get('string/number'); ?></td>
                                                        <td>
                                                            <span class="badge badge--danger"><?php echo app('translator')->get('Required'); ?></span>
                                                        </td>
                                                        <td>
                                                            <?php echo app('translator')->get('Mobile Numbers'); ?> <br>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td><?php echo app('translator')->get('device'); ?></td>
                                                        <td><?php echo app('translator')->get('string'); ?></td>
                                                        <td>
                                                            <span class="badge badge--danger"><?php echo app('translator')->get('Required'); ?></span>
                                                        </td>
                                                        <td>
                                                            <?php echo app('translator')->get('Device ID, which device to send from SMS.'); ?>
                                                            <a target="_blank" href="<?php echo e(route('admin.device.index')); ?>"><?php echo app('translator')->get('Device List'); ?></a>
                                                        </td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                        <div class="col-lg-6">
                                            <div class="card h-100">
                                                <div class="card-header custom--bg">
                                                    <h5 class="text-center text-white"><?php echo app('translator')->get('Error Response'); ?></h5>
                                                </div>
                                                <div class="card-body p-0">
                                                    <pre class="mt-0 rounded-0 h-100">
                                                        <code class="language-php h-100">
{
    "success": false,
    "code": 422,
    "message": "Unprocessable Entity",
    "errors": [
        "The message field is required.",
        "The mobile number field is required.",
    ]
}
                                                            </code>
                                                        </pre>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-lg-6">
                                            <div class="card h-100">
                                                <div class="card-header custom--bg">
                                                    <h5 class="text-center text-white"><?php echo app('translator')->get('Success Response'); ?></h5>
                                                </div>
                                                <div class="card-body p-0">
                                                    <pre class="mt-0 rounded-0 h-100">
                                                        <code class="language-php h-100">
{
    "success": true,
    "code": 200,
    "message": "1 message should be send.",
}
                                                            </code>
                                                        </pre>
                                                </div>
                                            </div>
                                        </div>
                                     </div>
                                </div>
                            </div>

                            <div class="api-docs-section" id="error-code">
                                <div class="api-content">
                                    <h2 class="api-content__heading"><?php echo app('translator')->get('ERROR CODE'); ?></h2>
                                    <table class="table api-table table--responsive--lg">
                                        <thead>
                                            <tr>
                                                <th><?php echo app('translator')->get('Code'); ?></th>
                                                <th><?php echo app('translator')->get('Status'); ?></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php $__currentLoopData = $errorCodes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k=> $errorCode): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td><?php echo e($k); ?></td>
                                                <td><?php echo e(__($errorCode)); ?></td>
                                            </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</div>

<div class="api-section"></div>

<?php if (isset($component)) { $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\ConfirmationModal::class, [] + (isset($attributes) ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('confirmation-modal'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $constructor = (new ReflectionClass(App\View\Components\ConfirmationModal::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b)): ?>
<?php $component = $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b; ?>
<?php unset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b); ?>
<?php endif; ?>


<?php $__env->stopSection(); ?>


<?php $__env->startPush('script'); ?>

<script src="<?php echo e(asset('assets/admin/js/vendor/highlight.js')); ?>"></script>
<script  src="<?php echo e(asset('assets/admin/js/vendor/clipboard.min.js')); ?>"></script>

<script>

    (function ($) {
        $('.regerate-token').on('click', function (e) {
            alert('ok')
        });

        $('.coptBtn').on('click', function (e) {
            var copyText = $(this).siblings('.copyText')[0];
            copyText.select();
            copyText.setSelectionRange(0, 99999);
            document.execCommand("copy");
            copyText.blur();
            $(this).addClass('copied');
            setTimeout(() => {
                $(this).removeClass('copied');
            }, 1500);
        });

        new ClipboardJS('.clipboard-btn');

        $(".clipboard-btn").on('click',function (e) {
            $(this).addClass('copied');
            setTimeout(() => {
                $(this).removeClass('copied');
            }, 1500);
         });


    })(jQuery)
</script>
<?php $__env->stopPush(); ?>


<?php $__env->startPush('style'); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/css/vendor/highlight.css')); ?>">
<style>
    .custom--bg{
        background-color: #314459;
    }
    .body-wrapper {
        overflow: unset !important;
    }
    .api-sidebar-menu {
        position: sticky;
        top: 20px;
    }
</style>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/brokznsr/public_html/smslab/core/resources/views/admin/developer/docs.blade.php ENDPATH**/ ?>