<?php $__env->startSection('panel'); ?>
<div class="row">
    <div class="col-lg-12">
        <div class="card b-radius--10 ">
            <div class="card-body p-0">
                <div class="table-responsive--md  table-responsive">
                    <table class="table table--light style--two">
                        <thead>
                            <tr>
                                <th><?php echo app('translator')->get('S.N.'); ?></th>
                                <th><?php echo app('translator')->get('Name'); ?></th>
                                <th><?php echo app('translator')->get('Message'); ?></th>
                                <th><?php echo app('translator')->get('Status'); ?></th>
                                <th><?php echo app('translator')->get('Action'); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $templates; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $template): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <tr>
                                <td><?php echo e(__($templates->firstItem()+$loop->index)); ?></td>
                                <td><?php echo e(__(@$template->name)); ?></td>
                                <td><?php echo e(__(strLimit(@$template->message,50))); ?></td>
                                <td>
                                    <?php if($template->status): ?>
                                    <span class="badge badge--success"><?php echo app('translator')->get('Active'); ?></span>
                                    <?php else: ?>
                                    <span class="badge badge--danger"><?php echo app('translator')->get('Inactive'); ?></span>
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <button type="button" data-template='<?php echo json_encode($template, 15, 512) ?>'
                                        class="btn btn-sm btn-outline--primary editBtn me-1">
                                        <i class="la la-pen"></i> <?php echo app('translator')->get('Edit'); ?>
                                    </button>
                                    
                                     <?php if($template->status == 0): ?>
                                        <button type="button"
                                                class="btn btn-sm btn-outline--success  confirmationBtn"
                                                data-action="<?php echo e(route('admin.template.status', $template->id)); ?>"
                                                data-question="<?php echo app('translator')->get('Are you sure to active this template?'); ?>">
                                            <i class="la la-eye"></i><?php echo app('translator')->get('Active'); ?>
                                        </button>
                                    <?php else: ?>
                                        <button type="button" class="btn btn-sm btn-outline--danger confirmationBtn"
                                        data-action="<?php echo e(route('admin.template.status', $template->id)); ?>"
                                        data-question="<?php echo app('translator')->get('Are you sure to inactive this template?'); ?>">
                                                <i class="la la-eye-slash"></i><?php echo app('translator')->get('Inactive'); ?>
                                        </button>
                                   <?php endif; ?>
                                   
                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <tr>
                                <td class="text-muted text-center" colspan="100%"><?php echo e(__($emptyMessage)); ?></td>
                            </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <?php if($templates->hasPages()): ?>
            <div class="card-footer py-4">
                <?php echo e(paginateLinks($templates)); ?>

            </div>
            <?php endif; ?>
        </div>
    </div>
</div>

<div class="modal fade" id="templateModal">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title"><?php echo app('translator')->get('Add New Contact'); ?></h4>
                <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <form method="post" id="form">
                <?php echo csrf_field(); ?>
                <div class="modal-body">
                    <div class="form-group">
                        <label class="fw-bold required"><?php echo app('translator')->get('Name'); ?></label>
                        <input required type="text" class="form-control form-control-lg" name="name" value="<?php echo e(old('Name')); ?>" placeholder="<?php echo app('translator')->get('Template Name'); ?>">
                    </div>
                    <div class="form-group">
                        <label class="fw-bold required"><?php echo app('translator')->get('Sms'); ?></label>
                        <textarea required name="message" class="form-control" placeholder="<?php echo app('translator')->get('Template Sms'); ?>" cols="30" rows="10"></textarea>
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn--primary w-100 h-45" id="btn-save"><?php echo app('translator')->get('Submit'); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>

    <?php if (isset($component)) { $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\ConfirmationModal::class, [] + (isset($attributes) ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('confirmation-modal'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $constructor = (new ReflectionClass(App\View\Components\ConfirmationModal::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b)): ?>
<?php $component = $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b; ?>
<?php unset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b); ?>
<?php endif; ?>


<?php $__env->stopSection(); ?>

<?php $__env->startPush('breadcrumb-plugins'); ?>
<button type="button" class="btn btn-outline--primary btn-sm addBtn">
    <i class="las la-plus"></i> <?php echo app('translator')->get('New Template'); ?>
</button>

<?php $__env->stopPush(); ?>
<?php $__env->startPush('script'); ?>

<script>
 "use strict";
    (function ($) {

        let templateModal = $("#templateModal");

        $('.addBtn').on('click', function (e) {
            let action = "<?php echo e(route('admin.template.store')); ?>";
            templateModal.find(".modal-title").text("<?php echo app('translator')->get('New Template'); ?>");
            templateModal.find('form').trigger('reset');
            templateModal.find('form').attr('action', action);
            templateModal.modal('show');
        });

        $('.editBtn').on('click', function (e) {
            let action = "<?php echo e(route('admin.template.update',':id')); ?>";
            let template = $(this).data('template');
            setFormValue(template, 'form')
            templateModal.find(".modal-title").text("<?php echo app('translator')->get('Edit Template'); ?>");
            templateModal.find('form').attr('action', action.replace(':id', template.id));
            templateModal.modal('show');
        });

    })(jQuery);
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/brokznsr/public_html/smslab/core/resources/views/admin/template/index.blade.php ENDPATH**/ ?>