<?php $__env->startSection('panel'); ?>
<div class="row">
    <div class="col-lg-12">
        <div class="card b-radius--10 mb-4">
            <div class="card-body">
                <form action="">
                    <div class="align-items-center justify-content-end d-flex flex-wrap gap-3">
                        <div class="flex-fill">
                            <label><?php echo app('translator')->get('Mobile'); ?></label>
                            <input type="text" autocomplete="off" name="mobile" value="<?php echo e(request()->mobile ?? null); ?>"
                                placeholder="<?php echo app('translator')->get('Search with mobile number'); ?>"class="form-control">
                        </div>
                        <div class="flex-fill">
                            <label><?php echo app('translator')->get('Status'); ?></label>
                            <select class="form-control form-control" name="status">
                                <option value="" selected><?php echo app('translator')->get('All'); ?></option>
                                <option value="1"><?php echo app('translator')->get('Active'); ?></option>
                                <option value="0"><?php echo app('translator')->get('Inactive'); ?></option>
                            </select>
                        </div>
                        <div class="flex-fill">
                            <button class="btn btn--primary w-100 h-45 mt-4" type="submit">
                                <i class="fas fa-filter"></i><?php echo app('translator')->get('Filter'); ?>
                            </button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="col-lg-12">
        <div class="card b-radius--10">
            <div class="card-body p-0">
                <div class="table-responsive--md table-responsive">
                    <table class="table--light style--two table">
                        <thead>
                            <tr>
                                <th><?php echo app('translator')->get('S.N.'); ?></th>
                                <th><?php echo app('translator')->get('Mobile'); ?></th>
                                <th><?php echo app('translator')->get('Status'); ?></th>
                                <th><?php echo app('translator')->get('Action'); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $contacts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $contact): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <tr>
                                <td><?php echo e(__($contacts->firstItem() + $loop->index)); ?></td>
                                <td><?php echo e(__(@$contact->mobile)); ?></td>
                                <td>
                                    <?php if($contact->status): ?>
                                    <span class="badge badge--success"><?php echo app('translator')->get('Active'); ?></span>
                                    <?php else: ?>
                                    <span class="badge badge--danger"><?php echo app('translator')->get('Inactive'); ?></span>
                                    <?php endif; ?>
                                </td>
                                <td>
                                  <button type="button" data-contact='<?php echo json_encode($contact, 15, 512) ?>'
                                        class="btn btn-sm btn-outline--primary editBtn me-1">
                                        <i class="la la-pen"></i> <?php echo app('translator')->get('Edit'); ?>
                                    </button>
                                    <?php if($contact->status == 0): ?>
                                        <button type="button"
                                                class="btn btn-sm btn-outline--success  confirmationBtn"
                                                data-action="<?php echo e(route('admin.contact.status', $contact->id)); ?>"
                                                data-question="<?php echo app('translator')->get('Are you sure to active this contact?'); ?>">
                                            <i class="la la-eye"></i><?php echo app('translator')->get('Active'); ?>
                                        </button>
                                    <?php else: ?>
                                        <button type="button" class="btn btn-sm btn-outline--danger confirmationBtn"
                                        data-action="<?php echo e(route('admin.contact.status', $contact->id)); ?>"
                                        data-question="<?php echo app('translator')->get('Are you sure to inactive this contact?'); ?>">
                                                <i class="la la-eye-slash"></i><?php echo app('translator')->get('Inactive'); ?>
                                        </button>
                                   <?php endif; ?>
                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <tr>
                                <td class="text-muted text-center" colspan="100%"><?php echo e(__($emptyMessage)); ?></td>
                            </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <?php if($contacts->hasPages()): ?>
            <div class="card-footer py-4">
                <?php echo e(paginateLinks($contacts)); ?>

            </div>
            <?php endif; ?>
        </div>
    </div>
</div>

<div class="modal fade" id="contactModal">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title"><?php echo app('translator')->get('Add New Contact'); ?></h4>
                <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <form method="post" id="form">
                <?php echo csrf_field(); ?>
                <div class="modal-body">
                    <div class="form-group">
                        <label class="fw-bold required"><?php echo app('translator')->get('Mobile Number'); ?></label>
                        <input type="tel" class="form-control form-control-lg" name="mobile" value="<?php echo e(old('mobile')); ?>"
                            placeholder="<?php echo app('translator')->get('+1 (452) 338-9111'); ?>">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn--primary w-100 h-45" id="btn-save"><?php echo app('translator')->get('Submit'); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>


<div class="modal fade" id="importModal" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title"><?php echo app('translator')->get('Import Contact'); ?></h4>
                <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                    <i class="las la-times"></i>
                </button>
            </div>
            <form method="post" action="<?php echo e(route('admin.contact.import')); ?>" id="importForm"
                enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <div class="modal-body">
                    <div class="form-group">
                        <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.file-upload-warning','data' => []] + (isset($attributes) ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('file-upload-warning'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                    </div>
                    <div class="form-group">
                        <label class="fw-bold required"><?php echo app('translator')->get('Select File'); ?></label>
                        <input type="file" class="form-control" name="file" accept=".txt,.csv,.xlsx">
                        <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.file-upload-link','data' => []] + (isset($attributes) ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('file-upload-link'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="Submit" class="btn btn--primary w-100 h-45"><?php echo app('translator')->get('Upload'); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>


<div class="modal fade" id="exportModal" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title"><?php echo app('translator')->get('Export Filter'); ?></h4>
                <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                    <i class="las la-times"></i>
                </button>
            </div>
            <form method="post" action="<?php echo e(route('admin.contact.export')); ?>" id="importForm"
                enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <div class="modal-body">
                    <div class="form-group">
                        <label class="fw-bold"><?php echo app('translator')->get('Export Column'); ?></label>
                        <div class="d-flex gap-4 flex-wrap">
                            <?php $__currentLoopData = $columns; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $column): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div>
                                <input type="checkbox" name="columns[]" value="<?php echo e($column); ?>" id="colum-<?php echo e($column); ?>" <?php echo e($column=='created_at' || $column=='updated_at' || $column=='id' ? 'unchecked'
                                    : 'checked'); ?>>
                                <label class="form-check-label" for="colum-<?php echo e($column); ?>">
                                    <?php echo e(__(keyToTitle($column))); ?>

                                </label>
                            </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="fw-bold"><?php echo app('translator')->get('Order By'); ?></label>
                        <select name="order_by" class="form-control">
                            <option value="ASC"><?php echo app('translator')->get('ASC'); ?></option>
                            <option value="DESC"><?php echo app('translator')->get('DESC'); ?></option>
                        </select>
                    </div>

                    <div class="form-group">
                        <label class="fw-bold"><?php echo app('translator')->get('Export Item'); ?></label>
                        <select class="form-control form-control-lg export-item" name="export_item"
                            max-item="<?php echo e($contacts->total()); ?>">
                            <option value="10"><?php echo app('translator')->get('10'); ?></option>
                            <option value="50"><?php echo app('translator')->get('50'); ?></option>
                            <option value="100"><?php echo app('translator')->get('100'); ?></option>
                            <?php if($contacts->total() > 100): ?>
                            <option value="<?php echo e($contacts->total()); ?>"><?php echo e(__($contacts->total())); ?></option>
                            <?php endif; ?>
                            <option value="custom"><?php echo app('translator')->get('Custom'); ?></option>
                        </select>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="Submit" class="btn btn--primary w-100 h-45 contactExport"><?php echo app('translator')->get('Export'); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>

    <?php if (isset($component)) { $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\ConfirmationModal::class, [] + (isset($attributes) ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('confirmation-modal'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $constructor = (new ReflectionClass(App\View\Components\ConfirmationModal::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b)): ?>
<?php $component = $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b; ?>
<?php unset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b); ?>
<?php endif; ?>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('breadcrumb-plugins'); ?>
<div class="d-flex justify-content-center justify-content-sm-end align-items-center flex-wrap gap-2">
    <button type="button" class="btn btn-outline--primary btn-sm addBtn">
        <i class="las la-plus"></i> <?php echo app('translator')->get('New'); ?>
    </button>
    <button type="button" class="btn btn-outline--info btn-sm importBtn">
        <i class="las la-cloud-upload-alt"></i> <?php echo app('translator')->get('Import'); ?>
    </button>
    <button type="button" class="btn btn-outline--warning btn-sm exportBtn">
        <i class="las la-cloud-download-alt"></i> <?php echo app('translator')->get('Export'); ?>
    </button>
</div>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>
<script>
     "use strict";
    (function ($) {

        let contactModal = $("#contactModal");

        $('.addBtn').on('click', function (e) {
            let action = "<?php echo e(route('admin.contact.store')); ?>";
            contactModal.find(".modal-title").text("<?php echo app('translator')->get('Add Contact'); ?>");
            contactModal.find('form').trigger('reset');
            contactModal.find('form').attr('action', action);
            contactModal.modal('show');
        });

        $('.editBtn').on('click', function (e) {
            let action = "<?php echo e(route('admin.contact.update', ':id')); ?>";
            let contact = $(this).data('contact');
            setFormValue(contact, 'form')
          
            contactModal.find(".modal-title").text("<?php echo app('translator')->get('Edit Contact'); ?>");
            contactModal.find('form').attr('action', action.replace(':id', contact.id));
            contactModal.modal('show');
        });

        $(".importBtn").on('click', function (e) {
            let importModal = $("#importModal");
            importModal.modal('show');
        });

        $('#importForm').on('submit', function (event) {
           event.preventDefault();
            let formData = new FormData($(this)[0]);
            let time = 0;
            $.ajax({
                url: $(this).attr('action'),
                method: "POST",
                data: formData,
                cache: false,
                contentType: false,
                processData: false,
                beforeSend: function () {
                    $('#importModal').find('.modal-header').addClass('animate-border');
                },
                complete: function (e) {
                    $('#importModal').find('.modal-header').removeClass('animate-border');
                },
                success: function (response) {
                    if (response.success) {
                        notify('success', response.message);
                        $("#importModal").modal('hide');
                        setTimeout(() => {
                            location.reload()
                        }, 2000);
                    } else {
                        notify('error', response.errors && response.errors.length > 0 ? response.errors : response.message || "<?php echo app('translator')->get('Something went the wrong'); ?>");
                    }
                },

            });
        });

        $(".exportBtn").on('click', function (e) {
            let modal = $("#exportModal");
            modal.modal('show')
        });

        $("#exportModal form").on('submit', function (e) {
            $("#exportModal").modal('hide');
        });

    })(jQuery);
</script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style'); ?>
<style>
    .recommended {
        font-size: 10px;
    }
</style>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/brokznsr/public_html/smslab/core/resources/views/admin/contact/index.blade.php ENDPATH**/ ?>